Come si inserisce un disclaimer in calce alle email se si usa Postfix

Ritratto di admin

Si basa sull'uso del software Altermime e sulla modifica del file master.cf della configurazione di postfix.
Download altermime

#wget http://www.pldaniels.com/altermime/altermime-0.3.7.tar.gz

# tar xvfz altermime-0.3.7.tar.gz
# make ; make install

Predisporre l'utente

# useradd -c "Postfix Filters" -d /var/spool/filter filter
# mkdir /var/spool/filter
# chown filter.filter /var/spool/filter
# chmod 750 /var/spool/filter

Configurare postfix

Identificare la direttiva

# vi /etc/postfix/master.cf

smtp inet n n n - - smtpd

e sostituire con


smtp inet n - n - - smtpd
-o content_filter=dfilt:
dfilt unix - n n - - pipe
flags=Rq user=filter argv=/etc/postfix/conf/disclaimer -f ${sender} -- ${recipient}

Attenzione! Con questa direttiva il disclaimer viene messo anche alle mail in ingresso

Nel caso in cui si voglia aggiungere il disclaimer solo alle mail in uscita modificare in questo modo:


172.16.1.4:smtp inet n - n - - smtpd
127.0.0.1:smtp inet n - n - - smtpd
-o content_filter=dfilt:
dfilt unix - n n - - pipe
flags=Rq user=filter argv=/opt/zimbra/postfix/conf/disclaimer -f ${sender} -- ${recipient}

Attenzione! 172.16.1.4 è l’IP del server postfix e deve essere messo come prima direttiva!

Creare il messaggio disclaimer


# vi /etc/postfix/disclaimer.txt

Questo messaggio (incluso ogni allegato) contiene informazioni che possono essere confidenziali e/o privilegiate. E' da intendere destinato solo alla persona (o le persone) alle quali e' indirizzato. Qualora Lei non fosse il destinatario prefissato, deve ritenersi NON autorizzato a leggere, stampare, conservare o diffondere questo messaggio o una parte di esso e ogni uso non autorizzato è da considerare contrario alla legge. L'emittente non e' responsabile della accuratezza e completezza del messaggio se è stato trasmesso attraverso un network pubblico in quanto la comunicazione potrebbe non essere sicura.

Creare il disclaimer script


#!/bin/sh
INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail

# Exit codes from
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }

cat > in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

/usr/bin/altermime --input=in.$$ --disclaimer=/etc/postfix/disclaimer.txt --disclaimer-html=/etc/postfix/disclaimer.txt
--xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || { echo Message content rejected; exit $EX_UNAVAILABLE; }

$SENDMAIL "$@" < in.$$

exit $?

Impostare le permissions


# chgrp filter /etc/postfix/disclaimer
# chmod 750 /etc/postfix/disclaimer

Attivare postfix


# /etc/init.d/postfix restart

Controllare i log per verificare che il sistema funzioni correttamente.

Risorse

http://wiki.zimbra.com/index.php?title=Adding_a_disclaimer_%28altermime%...
http://msgs.securepoint.com/cgi-bin/get/postfix0211/820.html